# Projekt 4

Projekt utworzony jako `Basic View Activity`, język Java, skrypt budowania `Gradle Kotlin`.

W tym projektcie:
- piszemy w języku Java
- do nawigacji między elementami wykorzstywany jest dodatkowy moduł `navigation` – zobacz plik `nav_graph.xml`
- do wiązania kodu obsługi zdarzeń z komponentami stosujemy `binding`
- większość napisów jest umieszczona w `strings.xml`
- w podziale na pliki oparliśmy się o wzór z inicjalnego projektu → dwa fragmenty

Nie traktujcie tego projektu jako wzoru do naśladowania w kontekście wykorzystania fragmentów
– nie robię tu tego w zalecany sposób.
Bardziej zależało mi na pokazaniu pozostałych elementów, a gotowy wzorzec, o który oparliśmy się,
akurat używa techniki fragmentów.

## Waluty

Aplikacja na żądanie pobiera kursy walut w formacie XML z serwera NBP i wyświetla pobrane dane.

Pobieranie jest wykonywane w tle przez wątek / executor.
Aby aplikacja miała uprawnienie „internet”, trzeba było dodać stosowny wpis do manifestu.

**Uzupełnione po zajęciach:** Na drugim ekranie (*Second Fragment*) dodałem wybór waluty z rozwijanej listy (`Spinner`)
i możliwość przeliczania kwot poprzez wpisanie kwoty w górne lub dolne pole i zatwierdzenie (na komputerze po prostu Enter).

Aby oba ekrany (oddzielne klasy w Javie) miały dostęp do wspólnych danych, użyłem prymitywnego
lecz skutecznego rozwiązania - klasy typu *Singleton*.
